# Backup and Migrate: BackBeaver

This module allows BackBeaver to be used as a destination
for Backup and Migrate files.

## Requirements ##

Modules required:
- [Backup and Migrate](https://www.drupal.org/project/backup_migrate)


## Installation

It is suggested that you install using Composer.

```bash
cd /path/to/drupal/root
composer require drupal/backup_migrate_backbeaver
drush en backup_migrate_backbeaver
```

## Configuration ##

1. Go to [BackBeaver.com](https://backbeaver.com) then login or register, and then add your site.

2. Visit the Backup and Migrate Destinations settings page
(**/admin/config/development/backup_migrate/settings/destination**)

3. Add a new Backup Destination and choose "BackBeaver" as the type.

4. Enter your BackBeaver Site API key.

5. Now you are ready to start sending your backups to BackBeaver.


## Maintainers ##

Tamer Zoubi (tamerzg)
https://www.drupal.org/u/tamerzg
